# BEGIN SourceDeps(oneline):
BuildRequires: perl(App/Prove.pm) perl(Capture/Tiny.pm) perl(Carp.pm) perl(Class/Inspector.pm) perl(Clone.pm) perl(Cwd.pm) perl(Data/Validate/URI.pm) perl(Encode.pm) perl(Encode/CN.pm) perl(Encode/JP.pm) perl(Encode/KR.pm) perl(Encode/TW.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/HomeDir.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(FindBin.pm) perl(Getopt/Long.pm) perl(HTTP/Headers.pm) perl(HTTP/Request.pm) perl(HTTP/Response.pm) perl(Hash/Merge.pm) perl(IO/Handle.pm) perl(IO/Interactive/Tiny.pm) perl(IPC/Open3.pm) perl(JSON/MaybeXS.pm) perl(LWP/UserAgent.pm) perl(List/MoreUtils.pm) perl(List/Util.pm) perl(MCE/Loop.pm) perl(POSIX.pm) perl(Pod/Usage.pm) perl(Pod/Wordlist.pm) perl(Scalar/Util.pm) perl(Statistics/Descriptive.pm) perl(Sys/Hostname.pm) perl(TAP/Harness.pm)
BuildRequires: perl(TAP/Parser.pm) perl(Term/ANSIColor.pm) perl(Test/CPAN/Changes.pm) perl(Test/CPAN/Meta/JSON.pm) perl(Test/Deep.pm) perl(Test/EOL.pm) perl(Test/Fatal.pm) perl(Test/Kwalitee.pm) perl(Test/LWP/UserAgent.pm) perl(Test/Mojibake.pm) perl(Test/More.pm) perl(Test/NoTabs.pm) perl(Test/Pod.pm) perl(Test/Spelling.pm) perl(Test/Synopsis.pm) perl(Test/Version.pm) perl(Try/Tiny.pm) perl(Type/Params.pm) perl(Types/Standard.pm) perl(blib.pm) perl(lib.pm) perl(parent.pm) perl(strict.pm) perl(utf8.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%filter_from_requires /^perl.t.lib.Test.LWP.UserAgent.TestRailMock.pm./d
%define module_name TestRail-API
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.044
Release: alt1
Summary: Provides an interface to TestRail's REST api via HTTP
Group: Development/Perl
License: perl
URL: https://github.com/teodesian/TestRail-Perl

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/T/TE/TEODESIAN/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
`TestRail::API' provides methods to access an existing TestRail account using API v2.  You can then do things like look up tests, set statuses and create runs from lists of cases.
It is by no means exhaustively implementing every TestRail API function.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README LICENSE
%perl_vendor_privlib/A*
%perl_vendor_privlib/T*

%files scripts
%_bindir/*
%_man1dir/*

%changelog
* Mon Dec 24 2018 Igor Vlasenko <viy@altlinux.ru> 0.044-alt1
- regenerated from template by package builder

* Thu Apr 02 2015 Igor Vlasenko <viy@altlinux.ru> 0.020-alt1
- regenerated from template by package builder

* Thu Feb 05 2015 Igor Vlasenko <viy@altlinux.ru> 0.017-alt1
- regenerated from template by package builder

* Mon Jan 26 2015 Igor Vlasenko <viy@altlinux.ru> 0.015-alt1
- regenerated from template by package builder

* Mon Jan 05 2015 Igor Vlasenko <viy@altlinux.ru> 0.013-alt1
- regenerated from template by package builder

* Wed Dec 17 2014 Igor Vlasenko <viy@altlinux.ru> 0.011-alt1
- regenerated from template by package builder

* Thu Sep 04 2014 Igor Vlasenko <viy@altlinux.ru> 0.007-alt1
- initial import by package builder

